Skip to content
BolderBolder API
Esc
navigateopen⌘Jpreview

List wallets

GET/wallets
Authorization
AuthorizationBearer token (JWT) · headerrequired
Query parameters
seller_idintegerrequired
contact_idinteger
typestring
Allowed:pointscredit
statestring
Allowed:activeinactive
qstring
Full text search on contact email or wallet name.
pageinteger
default: 1
per_pageinteger
default: 30
Responses
200Paginated list of wallets
total_itemsinteger
per_pageinteger
pageinteger
_linksHalLinks
_classstring[]
_embeddedobject
Show properties
itemsWallet[]
Show properties
Array of Wallet
_linksHalLinks
idinteger
typestring
Allowed:pointscredit
namestring
statestring
Allowed:activeinactive
balanceinteger
contact_idinteger
program_idinteger
consentedboolean
limit_amountinteger
Credit wallets only — maximum spendable balance.
overdue_limit_amountinteger
Credit wallets only — percentage of `limit_amount` allowed as overdue.
loan_termstring
Credit wallets only — e.g. "2.days", "3.months".
created_onstring<date-time>
updated_onstring<date-time>
Request
curl -X GET "https://api.onbolder.com/v2/wallets?seller_id=7" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "_class": [
    "results",
    "wallets"
  ],
  "total_items": 1,
  "per_page": 30,
  "page": 1,
  "_links": {
    "self": {
      "href": "https://api.onbolder.com/v2/wallets"
    }
  },
  "_embedded": {
    "items": [
      {
        "id": 55,
        "type": "points",
        "name": "Personal wallet",
        "state": "active",
        "balance": 500,
        "contact_id": 3001,
        "program_id": 4,
        "consented": true,
        "_links": {
          "self": {
            "href": "https://api.onbolder.com/v2/wallets/55"
          },
          "wallets:transfers": {
            "href": "https://api.onbolder.com/v2/wallets/55/transfers"
          }
        }
      }
    ]
  }
}